#!/bin/sh

MSG="`which gxmessage`" || MSG=xmessage

if ! md5sum -c md5sum.txt
then
	$MSG -geometry 640x160 -center -title "rssowl Installer" "MD5SUM ERROR: rssowl has NOT been installed"
	exit 1
fi

FOO=/root/my-applications/
[ -d $FOO ] || mkdir $FOO

if [ -d "$FOO/rssowl" ];then
	$MSG -buttons "UnInstall:21,ReInstall:22,Quit" -geometry 640x160 -center -title "rssowl Installer" "$FOO/rssowl is already installed"
	case $? in
		21)
			rm -rf "$FOO/rssowl"
			$MSG -geometry 640x160 -center -title "rssowl Installer" "rssowl has been uninstalled"
			exit
		 ;;
		22) true ;;
		*) exit ;;
	esac
fi

rm -rf $FOO/rssowl/
mv rssowl/ $FOO/rssowl/
rox $FOO &

$MSG -geometry 640x160 -center -title "rssowl Installer" "rssowl has been installed"

cp rssOWL /root/my-applications/bin/